Bug 742529 - gio: No CHANGES_DONE_HINT when monitoring directory
gio: No CHANGES_DONE_HINT when monitoring directory
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: glib2 (Show other bugs)
16
ppc64 Linux
unspecified Severity high
: ---
: ---
Assigned To: Tomáš Bžatek
Fedora Extras Quality Assurance
:
Depends On: 736489
Blocks: F17Betappc
  Show dependency treegraph
 
Reported: 2011-09-30 09:02 EDT by Tomáš Bžatek
Modified: 2015-03-03 18:02 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-04-27 11:37:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tomáš Bžatek 2011-09-30 09:02:27 EDT
Description of problem:
When monitoring a directory, no CHANGES_DONE_HINT is received once a changed file is closed.

Version-Release number of selected component (if applicable):
glib2-2.29.90-1.fc16.ppc64
glibc-2.14.90-8.ppc64
kernel-3.1.0-0.rc6.git0.3.fc16.kh.ppc64

How reproducible:
always

Steps to Reproduce:
1. mkdir test
2. gvfs-monitor-dir test
3. echo Hello! > test/file
  
Actual results:
Directory Monitor Event:
Child = /tmp/test/test
Event = CHANGED
Directory Monitor Event:
Child = /tmp/test/test
Event = CHANGED
Directory Monitor Event:
Child = /tmp/test/test
Event = CHANGED


Expected results (taken from 2.6.38.2 x86_64 machine):
Directory Monitor Event:
Child = /tmp/test/test
Event = CREATED
Directory Monitor Event:
Child = /tmp/test/test
Event = CHANGED
Directory Monitor Event:
Child = /tmp/test/test
Event = CHANGES_DONE_HINT
Comment 1 Tomáš Bžatek 2011-09-30 09:10:00 EDT
Tested inotify sample app from http://www.ibm.com/developerworks/linux/library/l-inotify/?ca=drs-

x86_64 (kernel 2.6.38.2):
> 2 events queued
> MODIFY: File "test" on WD #1
> OPEN: File "test" on WD #1
> 
> 2 events queued
> MODIFY: File "test" on WD #1
> CLOSE_WRITE: File "test" on WD #1

ppc64 (kernel 3.1.0-0.rc6):
> 4 events queued
> MODIFY: File "test" on WD #1
> OPEN: File "test" on WD #1
> MODIFY: File "test" on WD #1
> CLOSE_WRITE: File "test" on WD #1

Note You need to log in before you can comment on or make changes to this bug.